{ stdenv, hugo, fetchgit, pkgs, nodejs, ruby }:

let
    url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
    rev = "7d9f487a78ef25a6ac133983fc40128031ebb434";
    sha256 = "1v58z6mjszg2hr0ds4iw50njb18lgmigi257d4i5gz4spa0dny2z";
    requiredPackages = import ./required-packages.nix { inherit pkgs nodejs; };
in
    stdenv.mkDerivation {
        name = "blog-static";
        version = rev;
        src = fetchgit {
            inherit url rev sha256;
        };
        builder = ./builder.sh;
        converter = ./convert.rb;
        buildInputs = [ hugo requiredPackages.katex (ruby.withPackages (ps: [ ps.nokogiri ])) ];
    }
